fig81 <- function(post=F)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig91.eps", width=4.4, height=2.5, horizontal=F,
        pointsize=8)
  }
 else {if(dev.cur()==1) par(ask=T)}

 par(mfrow = c(1,2), mar=c(5,5,3,1)+0.1, cex=0.8)
 #par(mex=0.5,csi=0.11)
 #.Random.seed <- c(23, 5, 51, 13, 17,  21,  34,  47,  25, 29, 20,  2)

 x <- rep(1, 100)
 x[runif(100) < 0.1] <- 0    #Bernoulli(0.9)
 
 B <- rep(1,100)        #bubble
 B[1] <- abs(rnorm(1)*0.01)
 for(i in 1:99)
      B[i+1]  <- 1.1*B[i]/0.9*x[i+1] + rnorm(1)*0.01
 plot.ts(B, col=4, lwd=1.5)
 abline(0,0,lwd=2)
 title("A rational bubble", "(a)")
 
    
 y <- rep(1,100)
 y[runif(100) < 0.5] <- 0   #Bernoulli(0.5)
 xi <- rep(1, 100)
 for(i in 1:99) xi[i+1] <- (2*xi[i] + 0.1)*y[i+1]
 plot.ts(xi, col=4, lwd=1.5)
 title("Magnitude of Burst", "(b)")

 if(post) dev.off()
}
